CRUX-ARM : Home

Home :: Documentation :: Download :: Development :: Community :: Ports :: Packages :: Bugs :: Links :: About :: Donors
traceroute: update to 2.0.17
[crossrootfs.git] / pkg-config / pkg-config-0.23_ANSII_libraries.patch
1 diff -purN pkg-config-0.23.orig/glib-1.2.10/configure pkg-config-0.23/glib-1.2.10/configure
2 --- pkg-config-0.23.orig/glib-1.2.10/configure 2010-05-21 10:21:35.000000000 +0200
3 +++ pkg-config-0.23/glib-1.2.10/configure 2010-05-21 12:20:27.000000000 +0200
4 @@ -20563,114 +20563,8 @@ fi
5
6 { echo "$as_me:$LINENO: checking for extra flags to get ANSI library prototypes" >&5
7 echo $ECHO_N "checking for extra flags to get ANSI library prototypes... $ECHO_C" >&6; }
8 -glib_save_LIBS=$LIBS
9 -LIBS="$LIBS -lm"
10 -if test "$cross_compiling" = yes; then
11 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
12 -See \`config.log' for more details." >&5
13 -echo "$as_me: error: cannot run test program while cross compiling
14 -See \`config.log' for more details." >&2;}
15 - { (exit 1); exit 1; }; }
16 -else
17 - cat >conftest.$ac_ext <<_ACEOF
18 -/* confdefs.h. */
19 -_ACEOF
20 -cat confdefs.h >>conftest.$ac_ext
21 -cat >>conftest.$ac_ext <<_ACEOF
22 -/* end confdefs.h. */
23 -#include <math.h>
24 - int main (void) { return (log(1) != log(1.)); }
25 -_ACEOF
26 -rm -f conftest$ac_exeext
27 -if { (ac_try="$ac_link"
28 -case "(($ac_try" in
29 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
30 - *) ac_try_echo=$ac_try;;
31 -esac
32 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
33 - (eval "$ac_link") 2>&5
34 - ac_status=$?
35 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
36 - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
37 - { (case "(($ac_try" in
38 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
39 - *) ac_try_echo=$ac_try;;
40 -esac
41 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
42 - (eval "$ac_try") 2>&5
43 - ac_status=$?
44 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
45 - (exit $ac_status); }; }; then
46 - { echo "$as_me:$LINENO: result: none needed" >&5
47 -echo "${ECHO_T}none needed" >&6; }
48 -else
49 - echo "$as_me: program exited with status $ac_status" >&5
50 -echo "$as_me: failed program was:" >&5
51 -sed 's/^/| /' conftest.$ac_ext >&5
52 -
53 -( exit $ac_status )
54 -glib_save_CFLAGS=$CFLAGS
55 - CFLAGS="$CFLAGS -std1"
56 - if test "$cross_compiling" = yes; then
57 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
58 -See \`config.log' for more details." >&5
59 -echo "$as_me: error: cannot run test program while cross compiling
60 -See \`config.log' for more details." >&2;}
61 - { (exit 1); exit 1; }; }
62 -else
63 - cat >conftest.$ac_ext <<_ACEOF
64 -/* confdefs.h. */
65 -_ACEOF
66 -cat confdefs.h >>conftest.$ac_ext
67 -cat >>conftest.$ac_ext <<_ACEOF
68 -/* end confdefs.h. */
69 -#include <math.h>
70 - int main (void) { return (log(1) != log(1.)); }
71 -_ACEOF
72 -rm -f conftest$ac_exeext
73 -if { (ac_try="$ac_link"
74 -case "(($ac_try" in
75 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
76 - *) ac_try_echo=$ac_try;;
77 -esac
78 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
79 - (eval "$ac_link") 2>&5
80 - ac_status=$?
81 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
82 - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
83 - { (case "(($ac_try" in
84 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
85 - *) ac_try_echo=$ac_try;;
86 -esac
87 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
88 - (eval "$ac_try") 2>&5
89 - ac_status=$?
90 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
91 - (exit $ac_status); }; }; then
92 - { echo "$as_me:$LINENO: result: -std1" >&5
93 -echo "${ECHO_T}-std1" >&6; }
94 -else
95 - echo "$as_me: program exited with status $ac_status" >&5
96 -echo "$as_me: failed program was:" >&5
97 -sed 's/^/| /' conftest.$ac_ext >&5
98 -
99 -( exit $ac_status )
100 -{ echo "$as_me:$LINENO: result: " >&5
101 -echo "${ECHO_T}" >&6; }
102 - CFLAGS=$glib_save_CFLAGS
103 - { echo "$as_me:$LINENO: WARNING: No ANSI prototypes found in library. (-std1 didn't work.)" >&5
104 -echo "$as_me: WARNING: No ANSI prototypes found in library. (-std1 didn't work.)" >&2;}
105 -
106 -fi
107 -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
108 -fi
109 -
110 -
111 -
112 -fi
113 -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
114 -fi
115 -
116 +glib_save_LIBS="$LIBS -lm"
117 +glib_save_CFLAGS="$CFLAGS -std1"
118
119 LIBS=$glib_save_LIBS
120
121 @@ -23761,7 +23655,7 @@ _ACEOF
122
123 fi
124
125 -
126 +glib_cv_has__inline=yes
127 { echo "$as_me:$LINENO: checking for __inline" >&5
128 echo $ECHO_N "checking for __inline... $ECHO_C" >&6; }
129 if test "${glib_cv_has__inline+set}" = set; then
130 @@ -23832,6 +23726,7 @@ xyes) cat >>confdefs.h <<\_ACEOF
131 _ACEOF
132
133 esac
134 +glib_cv_has__inline__=yes
135 { echo "$as_me:$LINENO: checking for __inline__" >&5
136 echo $ECHO_N "checking for __inline__... $ECHO_C" >&6; }
137 if test "${glib_cv_has__inline__+set}" = set; then
138 @@ -23902,6 +23797,7 @@ xyes) cat >>confdefs.h <<\_ACEOF
139 _ACEOF
140
141 esac
142 +glib_cv_hasinline=yes
143 { echo "$as_me:$LINENO: checking for inline" >&5
144 echo $ECHO_N "checking for inline... $ECHO_C" >&6; }
145 if test "${glib_cv_hasinline+set}" = set; then
146 @@ -26323,6 +26219,7 @@ fi
147 { echo "$as_me:$LINENO: result: $glib_working_wctype" >&5
148 echo "${ECHO_T}$glib_working_wctype" >&6; }
149
150 +glib_cv_sane_realloc=yes
151 { echo "$as_me:$LINENO: checking whether realloc (NULL,) will work" >&5
152 echo $ECHO_N "checking whether realloc (NULL,) will work... $ECHO_C" >&6; }
153 if test "${glib_cv_sane_realloc+set}" = set; then
154 @@ -26396,6 +26293,7 @@ fi
155 echo "${ECHO_T}$glib_cv_sane_realloc" >&6; }
156
157
158 +glib_cv_va_copy=no
159 { echo "$as_me:$LINENO: checking for an implementation of va_copy()" >&5
160 echo $ECHO_N "checking for an implementation of va_copy()... $ECHO_C" >&6; }
161 if test "${glib_cv_va_copy+set}" = set; then
162 @@ -26470,6 +26368,7 @@ fi
163
164 { echo "$as_me:$LINENO: result: $glib_cv_va_copy" >&5
165 echo "${ECHO_T}$glib_cv_va_copy" >&6; }
166 +glib_cv___va_copy=no
167 { echo "$as_me:$LINENO: checking for an implementation of __va_copy()" >&5
168 echo $ECHO_N "checking for an implementation of __va_copy()... $ECHO_C" >&6; }
169 if test "${glib_cv___va_copy+set}" = set; then
170 @@ -26544,6 +26443,7 @@ fi
171
172 { echo "$as_me:$LINENO: result: $glib_cv___va_copy" >&5
173 echo "${ECHO_T}$glib_cv___va_copy" >&6; }
174 +glib_cv_va_val_copy=yes
175 { echo "$as_me:$LINENO: checking whether va_lists can be copied by value" >&5
176 echo $ECHO_N "checking whether va_lists can be copied by value... $ECHO_C" >&6; }
177 if test "${glib_cv_va_val_copy+set}" = set; then
178 @@ -27132,6 +27032,7 @@ if test "$G_MODULE_IMPL" = "G_MODULE_IMP
179 LDFLAGS="$LDFLAGS $G_MODULE_LDFLAGS"
180 { echo "$as_me:$LINENO: checking for RTLD_GLOBAL brokenness" >&5
181 echo $ECHO_N "checking for RTLD_GLOBAL brokenness... $ECHO_C" >&6; }
182 +glib_cv_rtldglobal_broken=no
183 if test "${glib_cv_rtldglobal_broken+set}" = set; then
184 echo $ECHO_N "(cached) $ECHO_C" >&6
185 else
186 @@ -27210,6 +27111,7 @@ echo "${ECHO_T}$glib_cv_rtldglobal_broke
187 else
188 G_MODULE_BROKEN_RTLD_GLOBAL=0
189 fi
190 +glib_cv_uscore=yes
191 { echo "$as_me:$LINENO: checking for preceeding underscore in symbols" >&5
192 echo $ECHO_N "checking for preceeding underscore in symbols... $ECHO_C" >&6; }
193 if test "${glib_cv_uscore+set}" = set; then
194 @@ -28545,6 +28447,7 @@ done
195
196 if test "$ac_cv_header_pwd_h" = "yes"; then
197 { echo "$as_me:$LINENO: checking for getpwuid_r" >&5
198 +ac_cv_func_getpwuid_r=yes
199 echo $ECHO_N "checking for getpwuid_r... $ECHO_C" >&6; }
200 if test "${ac_cv_func_getpwuid_r+set}" = set; then
201 echo $ECHO_N "(cached) $ECHO_C" >&6
202 @@ -28727,133 +28630,15 @@ fi
203
204 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
205 { echo "$as_me:$LINENO: checking whether pthread_mutex_trylock is posix like" >&5
206 -echo $ECHO_N "checking whether pthread_mutex_trylock is posix like... $ECHO_C" >&6; }
207 - # DCE Threads return 1 as success, posix 0. what a mess.
208 - if test "$cross_compiling" = yes; then
209 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
210 -See \`config.log' for more details." >&5
211 -echo "$as_me: error: cannot run test program while cross compiling
212 -See \`config.log' for more details." >&2;}
213 - { (exit 1); exit 1; }; }
214 -else
215 - cat >conftest.$ac_ext <<_ACEOF
216 -/* confdefs.h. */
217 -_ACEOF
218 -cat confdefs.h >>conftest.$ac_ext
219 -cat >>conftest.$ac_ext <<_ACEOF
220 -/* end confdefs.h. */
221 -#include <pthread.h>
222 - pthread_mutex_t mutex = PTHREAD_MUTEX_INITIALIZER;
223 - int main () {
224 - return !pthread_mutex_trylock (&mutex); }
225 -_ACEOF
226 -rm -f conftest$ac_exeext
227 -if { (ac_try="$ac_link"
228 -case "(($ac_try" in
229 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
230 - *) ac_try_echo=$ac_try;;
231 -esac
232 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
233 - (eval "$ac_link") 2>&5
234 - ac_status=$?
235 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
236 - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
237 - { (case "(($ac_try" in
238 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
239 - *) ac_try_echo=$ac_try;;
240 -esac
241 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
242 - (eval "$ac_try") 2>&5
243 - ac_status=$?
244 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
245 - (exit $ac_status); }; }; then
246 - { echo "$as_me:$LINENO: result: no" >&5
247 -echo "${ECHO_T}no" >&6; }
248 -else
249 - echo "$as_me: program exited with status $ac_status" >&5
250 -echo "$as_me: failed program was:" >&5
251 -sed 's/^/| /' conftest.$ac_ext >&5
252
253 -( exit $ac_status )
254 +echo $ECHO_N "checking whether pthread_mutex_trylock is posix like... $ECHO_C" >&6; }
255 { echo "$as_me:$LINENO: result: yes" >&5
256 echo "${ECHO_T}yes" >&6; }
257 cat >>confdefs.h <<\_ACEOF
258 #define HAVE_PTHREAD_MUTEX_TRYLOCK_POSIX 1
259 -_ACEOF
260 -
261 -fi
262 -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
263 -fi
264 -
265 -
266 - { echo "$as_me:$LINENO: checking whether pthread_cond_timedwait is posix like" >&5
267 -echo $ECHO_N "checking whether pthread_cond_timedwait is posix like... $ECHO_C" >&6; }
268 - # DCE Threads return -1 as failure, posix ETIMEDOUT.
269 - if test "$cross_compiling" = yes; then
270 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
271 -See \`config.log' for more details." >&5
272 -echo "$as_me: error: cannot run test program while cross compiling
273 -See \`config.log' for more details." >&2;}
274 - { (exit 1); exit 1; }; }
275 -else
276 - cat >conftest.$ac_ext <<_ACEOF
277 -/* confdefs.h. */
278 -_ACEOF
279 -cat confdefs.h >>conftest.$ac_ext
280 -cat >>conftest.$ac_ext <<_ACEOF
281 -/* end confdefs.h. */
282 -#include <pthread.h>
283 - #include <sys/time.h>
284 - int main () {
285 - pthread_mutex_t mutex = PTHREAD_MUTEX_INITIALIZER;
286 - pthread_cond_t cond = PTHREAD_COND_INITIALIZER;
287 - struct timeval tval;
288 - struct timespec tspec;
289 - gettimeofday (&tval, NULL);
290 - tspec.tv_sec = tval.tv_sec;
291 - tspec.tv_nsec = 0;
292 - pthread_mutex_lock (&mutex);
293 - return pthread_cond_timedwait (&cond,&mutex,&tspec)
294 - != -1;}
295 -_ACEOF
296 -rm -f conftest$ac_exeext
297 -if { (ac_try="$ac_link"
298 -case "(($ac_try" in
299 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
300 - *) ac_try_echo=$ac_try;;
301 -esac
302 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
303 - (eval "$ac_link") 2>&5
304 - ac_status=$?
305 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
306 - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
307 - { (case "(($ac_try" in
308 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
309 - *) ac_try_echo=$ac_try;;
310 -esac
311 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
312 - (eval "$ac_try") 2>&5
313 - ac_status=$?
314 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
315 - (exit $ac_status); }; }; then
316 - { echo "$as_me:$LINENO: result: no" >&5
317 -echo "${ECHO_T}no" >&6; }
318 -else
319 - echo "$as_me: program exited with status $ac_status" >&5
320 -echo "$as_me: failed program was:" >&5
321 -sed 's/^/| /' conftest.$ac_ext >&5
322 -
323 -( exit $ac_status )
324 -{ echo "$as_me:$LINENO: result: yes" >&5
325 -echo "${ECHO_T}yes" >&6; }
326 - cat >>confdefs.h <<\_ACEOF
327 #define HAVE_PTHREAD_COND_TIMEDWAIT_POSIX 1
328 _ACEOF
329
330 -fi
331 -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
332 -fi
333 -
334
335 fi
336 LIBS="$glib_save_LIBS"
337 @@ -28885,6 +28670,7 @@ CFLAGS="$CFLAGS $G_THREAD_CFLAGS"
338 "yes")
339 { echo "$as_me:$LINENO: checking size of $mutex_default_type" >&5
340 echo $ECHO_N "checking size of $mutex_default_type... $ECHO_C" >&6; }
341 +glib_cv_sizeof_gmutex=0
342 if test "${glib_cv_sizeof_gmutex+set}" = set; then
343 echo $ECHO_N "(cached) $ECHO_C" >&6
344 else
345 @@ -29040,71 +28826,7 @@ else
346 fi
347 { echo "$as_me:$LINENO: checking system definitions for $glib_sysdef_msg" >&5
348 echo $ECHO_N "checking system definitions for $glib_sysdef_msg... $ECHO_C" >&6; }
349 -cat >confrun.c <<_______EOF
350 -#include <stdio.h>
351 -#include <sys/types.h>
352 -#include <sys/poll.h>
353 -int main (int c, char **v) {
354 - FILE *f = fopen ("$glib_sysdefso", "a");
355 - if (!f) return 1;
356 -_______EOF
357 -for glib_sysdef_input in POLLIN:1 POLLOUT:4 POLLPRI:2 POLLERR:8 POLLHUP:16 POLLNVAL:32 ; do
358 - glib_sysdef=`echo $glib_sysdef_input | sed 's/^\([^:]*\):.*$/\1/'`
359 - glib_default=`echo $glib_sysdef_input | sed 's/^[^:]*:\(.*\)$/\1/'`
360 - echo "#ifdef $glib_sysdef" >>confrun.c
361 - echo " fprintf (f, \"#define GLIB_SYSDEF_%s %s%d${glib_nl}\", \"$glib_sysdef\", \"=\", $glib_sysdef);" >>confrun.c
362 - echo "#else" >>confrun.c
363 - if test $glib_sysdef != $glib_default; then
364 - echo " fprintf (f, \"#define GLIB_SYSDEF_%s %s%d${glib_nl}\", \"$glib_sysdef\", \"=\", $glib_default);" >>confrun.c
365 - else
366 - echo " fprintf (f, \"#define GLIB_SYSDEF_%s${glib_nl}\", \"$glib_sysdef\");" >>confrun.c
367 - fi
368 - echo "#endif" >>confrun.c
369 -done
370 -echo "return 0; }" >>confrun.c
371 -if test "$cross_compiling" = yes; then
372 - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
373 -See \`config.log' for more details." >&5
374 -echo "$as_me: error: cannot run test program while cross compiling
375 -See \`config.log' for more details." >&2;}
376 - { (exit 1); exit 1; }; }
377 -else
378 - cat >conftest.$ac_ext <<_ACEOF
379 -/* confdefs.h. */
380 -_ACEOF
381 -cat confdefs.h >>conftest.$ac_ext
382 -cat >>conftest.$ac_ext <<_ACEOF
383 -/* end confdefs.h. */
384 -`cat confrun.c`
385 -_ACEOF
386 -rm -f conftest$ac_exeext
387 -if { (ac_try="$ac_link"
388 -case "(($ac_try" in
389 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
390 - *) ac_try_echo=$ac_try;;
391 -esac
392 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
393 - (eval "$ac_link") 2>&5
394 - ac_status=$?
395 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
396 - (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
397 - { (case "(($ac_try" in
398 - *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
399 - *) ac_try_echo=$ac_try;;
400 -esac
401 -eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
402 - (eval "$ac_try") 2>&5
403 - ac_status=$?
404 - echo "$as_me:$LINENO: \$? = $ac_status" >&5
405 - (exit $ac_status); }; }; then
406 - { echo "$as_me:$LINENO: result: done" >&5
407 -echo "${ECHO_T}done" >&6; }
408 -else
409 - echo "$as_me: program exited with status $ac_status" >&5
410 -echo "$as_me: failed program was:" >&5
411 -sed 's/^/| /' conftest.$ac_ext >&5
412 -
413 -( exit $ac_status )
414 +
415 for glib_sysdef_input in POLLIN:1 POLLOUT:4 POLLPRI:2 POLLERR:8 POLLHUP:16 POLLNVAL:32 ; do
416 glib_sysdef=`echo $glib_sysdef_input | sed 's/^\([^:]*\):.*$/\1/'`
417 glib_default=`echo $glib_sysdef_input | sed 's/^[^:]*:\(.*\)$/\1/'`
418 @@ -29117,14 +28839,6 @@ sed 's/^/| /' conftest.$ac_ext >&5
419 done
420 { echo "$as_me:$LINENO: result: failed" >&5
421 echo "${ECHO_T}failed" >&6; }
422 -fi
423 -rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
424 -fi
425 -
426 -
427 -rm -f confrun.c
428 -
429 -
430
431
432 ac_config_commands="$ac_config_commands default-1"